package com.djhk.uav.uav.service;

import com.djhk.common.core.domain.R;
import com.djhk.uav.uav.model.DrcReceiver;
import com.djhk.uav.uav.model.SyunDrcConnectParam;
import com.djhk.uav.uav.model.SyunDrcDroneControlParam;
import com.djhk.uav.uav.model.SyunDrcModeParam;

public interface IDrcService {

    R deviceDrcExit(SyunDrcModeParam syunDrcModeParam);

    R deviceDrcEnter(SyunDrcModeParam syunDrcModeParam);

    R userDrcAuth(SyunDrcConnectParam syunDrcConnectParam);

    R droneControl(Long userId,SyunDrcDroneControlParam syunDrcDroneControlParam);

    R emergencyStop(Long userId,SyunDrcDroneControlParam syunDrcDroneControlParam);

    void droneControlReply(DrcReceiver drcReceiver);

    void emergencyStopReply(DrcReceiver drcReceiver);

    void handleHsiInfoPush(String receiver);

    void handleOsdInfoPush(String receiver);

    void handleDelayInfoPush(String receiver);
}
